### Method

# Ide Workbench get_project_info

#### Declaration

    IdeProjectInfo*
    ide_workbench_get_project_info (
      IdeWorkbench* self
    )

#### Description

Gets the `IdeProjectInfo` for the workbench, if a project has been or is currently, loading.

Available since: | 3.32

#### Return value

Returns: | `IdeProjectInfo`
| An `IdeProjectInfo` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.